Link a funder to the current broker for self-service
curl --request POST \
--url https://app.herondata.io/api/funder_integrations/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"funder_heron_id": "<string>"
}
'import requests
url = "https://app.herondata.io/api/funder_integrations/"
payload = { "funder_heron_id": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({funder_heron_id: '<string>'})
};
fetch('https://app.herondata.io/api/funder_integrations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"funder_email_domains": [
"<string>"
],
"funder_heron_id": "<string>",
"funder_name": "<string>",
"sender_address": "<string>",
"supports_staging": true,
"channel_type": "<string>",
"config": {
"channel_type": "<string>",
"display_name": "<string>",
"form_fields": [
{
"label": "<string>",
"name": "<string>",
"required": true
}
],
"supports_staging": true
},
"effective_submission_email_address": "<string>",
"funder_logo_url": "<string>",
"production": {
"has_credentials": true,
"last_test_attempted_at": "2023-11-07T05:31:56Z",
"last_test_deal_id": "<string>",
"last_test_status_message": "<string>"
},
"slug": "<string>",
"staging": {
"has_credentials": true,
"last_test_attempted_at": "2023-11-07T05:31:56Z",
"last_test_deal_id": "<string>",
"last_test_status_message": "<string>"
},
"submission_cc_email_addresses": [
"<string>"
],
"submission_email_address": "<string>"
}API Reference
Link a funder to the current broker for self-service
Links a funder the broker can configure. Returns the new entry in the same shape as GET /api/funder_integrations/.
POST
/
api
/
funder_integrations
/
Link a funder to the current broker for self-service
Authorizations
Body
application/json
Response
Funder linked
Available options:
not_available, not_configured, staging_configured, staging_live, production_configured, production_live, live Available options:
integration, email, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
List funder integration states for the current brokerList funders available for self-service that the broker hasn't linked yet
⌘I